This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501264 - qemu segfaults for -net socket,listen=localhost:4567
qemu segfaults for -net socket,listen=localhost:4567
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-18 05:57 EDT by Harald Hoyer
Modified: 2009-06-15 22:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.10.5-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upstream fix (1.02 KB, patch)
2009-05-20 18:22 EDT, Luiz Capitulino
no flags Details | Diff

  None (edit)
Description Harald Hoyer 2009-05-18 05:57:13 EDT
qemu-system-x86-0.10-16.fc11.x86_64

$ sudo qemu -hda test/root.ext2 -m 256M     -net nic,macaddr=52:54:00:12:34:56 -net socket,listen=localhost:4567  -kernel /boot/vmlinuz-$(uname -r) -initrd test/initramfs.testing -append "root=/dev/sda rw" 
Segmentation fault

problem is "-net socket,listen=..."

(gdb) bt
#0  strlen () at ../sysdeps/x86_64/strlen.S:31
#1  0x0000003f9987f166 in *__GI___strdup (s=0x0) at strdup.c:42
#2  0x00000000004865a7 in net_socket_listen_init (host_str=<value optimized out>, 
    name=<value optimized out>, model=<value optimized out>, vlan=<value optimized out>) at net.c:1622
#3  net_client_init (host_str=<value optimized out>, name=<value optimized out>, 
    model=<value optimized out>, vlan=<value optimized out>) at net.c:1914
#4  0x0000000000486d27 in net_client_parse (str=<value optimized out>) at net.c:2039
#5  0x000000000040cf2d in main (argc=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>) at /usr/src/debug/qemu-kvm-0.10/qemu/vl.c:5738
(gdb) quit
Comment 1 Luiz Capitulino 2009-05-20 18:21:28 EDT
Glauber, this is already fixed upstream (Avi's qemu-kvm.git tree) it's commit ea053add700d8abe203cd79a9ffb082aee4eabc0 .

I will attach the patch here (so that you can apply in the package, in case you won't rebase soon).
Comment 2 Luiz Capitulino 2009-05-20 18:22:21 EDT
Created attachment 344893 [details]
upstream fix
Comment 3 Mark McLoughlin 2009-05-21 14:59:11 EDT
Glauber proposed this for the stable branch:

  http://marc.info/?l=qemu-devel&m=124286670230504

We'll pull the patch into an update soon
Comment 4 Mark McLoughlin 2009-06-03 11:06:47 EDT
I'm pushing a qemu-0.10.5-2.fc11 update to updates-testing with this fix.

* Wed Jun  3 2009 Mark McLoughlin <markmc@redhat.com> - 2:0.10.5-2
- Prevent locked cdrom eject - fixes hang at end of anaconda installs (#501412)
- Fix crash with '-net socket,listen=...' (#501264)
- Avoid harmless 'unhandled wrmsr' warnings (#499712)

Note, this is already fixed in qemu-0.10.50-4.kvm86
Comment 5 Fedora Update System 2009-06-03 12:20:51 EDT
qemu-0.10.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qemu-0.10.5-2.fc11
Comment 6 Bug Zapper 2009-06-09 12:02:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Update System 2009-06-15 22:27:49 EDT
qemu-0.10.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.